Offboard Endpoint
API to offboard the endpoint from License Hub.
Endpoint UUID
If the connection between the endpoint and the License Hub is unhealthy, the force_delete parameter can be used. When force_delete is set to true, the License Hub will perform a best-effort offboarding and ignore any errors from the endpoint. Please note that while this removes the endpoint from the License Hub, some references to the License Hub may remain on the endpoint. This can cause issues when attempting to onboard the endpoint to a new License Hub. In such cases, the force_onboard parameter must be used during the onboarding process.
Credentials for the endpoint to be able to connect to and offboard the endpoint.
{
"username": "string",
"password": "string",
"certificate": "string"
}
Username for endpoint authentication. Required for all operations (onboard, reconnect, offboard).
Password for endpoint authentication. Required for all operations (onboard, reconnect, offboard).
Certificate for endpoint authentication. Required for onboard and reconnect operations.
Offboard request has been accepted.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/licensing/endpoints/{endpoint-id}